
double gaussian(double sigma, double mean)
{
	double x, y, r2;

	do
	{
		//choose x,y in uniform square (-1,-1) to (+1,+1)
		x = -1 + 2 * genrand_real2();
		y = -1 + 2 * genrand_real2();

		//see if it is in the unit circle
		r2 = x * x + y * y;
	} while (r2 > 1.0 || r2 == 0);

	//Box-Muller transform
	return sigma * y * sqrt(-2.0 * log (r2) / r2) + mean;
}

#include "norm_quantile.h"
